Package com.pixelmed.scpecg

# Class SCPTreeBrowser

java.lang.Object
com.pixelmed.scpecg.SCPTreeBrowser

public class SCPTreeBrowser extends Object

The `SCPTreeBrowser` class implements a Swing graphical user interface to browse the contents of an `SCPTree`.

## Constructor Summary

Constructors
Constructor
Description
`SCPTreeBrowser(SCPECG scpecg, JScrollPane treeBrowserScrollPane)`
Build and display a graphical user interface view of an SCP-ECG instance.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SCPTreeBrowser

public SCPTreeBrowser(SCPECG scpecg, JScrollPane treeBrowserScrollPane) throws Exception

Build and display a graphical user interface view of an SCP-ECG instance.

Implicitly builds a tree from the SCP-ECG instance.

Parameters:
  `scpecg` - tan SCP-ECG instance
  `treeBrowserScrollPane` - the scrolling pane in which the tree view of the attributes will be rendered
Throws:
  `Exception`